# class ZOOM::Record

### Public Instance Methods

database(charset_from=nil, charset_to=nil) click to toggle source

charset_from: the name of the charset to convert from (optional).

charset_to: the name of the charset to convert to (optional).

Returns: the database name of the record.

    static VALUE
    rbz_record_database (int argc, VALUE *argv, VALUE self)
    {
        return CSTR2RVAL (ZOOM_record_get (rbz_record_get (self),
                                           rbz_record_type ("database", argc, argv),
                                           NULL));
    }

raw click to toggle source

MARC records are returned in ISO2709. GRS-1 and OPAC records are not supported for this form.

Returns: an ISO2709 record.

    static VALUE
    rbz_record_raw (int argc, VALUE *argv, VALUE self)
    {
        return CSTR2RVAL (ZOOM_record_get (rbz_record_get (self),
                                           rbz_record_type ("raw", argc, argv),
                                           NULL));
    }

render(charset_from=nil, charset_to=nil) click to toggle source

charset_from: the name of the charset to convert from (optional).

charset_to: the name of the charset to convert to (optional).

Returns: a display friendly description of the record.

    static VALUE
    rbz_record_render (int argc, VALUE *argv, VALUE self)
    {
        return CSTR2RVAL (ZOOM_record_get (rbz_record_get (self),
                                           rbz_record_type ("render", argc, argv),
                                           NULL));
    }

Also aliased as: to_s
syntax(charset_from=nil, charset_to=nil) click to toggle source

charset_from: the name of the charset to convert from (optional).

charset_to: the name of the charset to convert to (optional).

Returns: the symbolic transfer syntax name of the record.

    static VALUE
    rbz_record_syntax (int argc, VALUE *argv, VALUE self)
    {
        return CSTR2RVAL (ZOOM_record_get (rbz_record_get (self),
                                           rbz_record_type ("syntax", argc, argv),
                                           NULL));
    }

to_s(*args)
Alias for: render
xml(charset_from=nil, charset_to=nil) click to toggle source

charset_from: the name of the charset to convert from (optional).

charset_to: the name of the charset to convert to (optional).

Returns an XML description of the record. SRW/SRU and Z39.50 records with transfer syntax XML are returned verbatim. MARC records are returned in MARCXML (converted from ISO2709 to MARCXML by YAZ). GRS-1 and OPAC records are not supported for this form.

Returns: an XML description of the record.

    static VALUE
    rbz_record_xml (int argc, VALUE *argv, VALUE self)
    {
        return CSTR2RVAL (ZOOM_record_get (rbz_record_get (self),
                                           rbz_record_type ("xml", argc, argv),
                                           NULL));
    }